AutoCAD 2013 :: Attribute Box When Inserting Block
Jan 10, 2014
I'm working in a different department and can't figure out why the attribute box won't open when I insert their title block. I have checked that all the variables attmode, attdia, attreq, filedia, and cmddia are all set to 1 in both drawings. What am I missing? I'm using 2014. I'm attaching the drawing I want to insert.
Every time I attempt to insert a block with an attribute in it from my tool pallet I get the error FATAL ERROR: Unhandled Acess Violation Reading 0x0020 Exception at 4260af08u.
If I insert a block without attributes it works fine. I even tried building a block in 2013 and then inserting it from the toolpallet, still fatal error's out.
Is it possible, via whatever methods (lisp?) to be able to have a premade block with an attribute and insert it into a drawing then assign a value to it by selecting another existing block in the drawing and using one of its own attribute’s values?
For example, say I have a block representing a telephone and it had an attribute called "PhoneNo" and I inserted it into a drawing showing an office floor plan that had blocks in each office space that are telephone junction boxes with attributes "PhoneExtension". I would like to be able to autocomplete the entering of the “PhoneNo” data by selecting one of the telephone junction boxes in the drawing and using its attribute’s value.
I'm trying to build a routine for my job to insert a block which consists of 3 single line variable attributes in a specific order. I need to be able to do this on many different drawings, and I would like to share this ability with my coworkers. Using the DesignCenter is not an option. In order to do this, I saved a drawing which consisted of the three attributes in the layout in which I need them to appear, however the order in which it prompts me to enter them is reversed. I already know how to set the order of attributes in an EXISTING block definition using the BATTMAN command, as every time I run the routine again, I'm redefining the block definition.
I'm not sure if it's important to know this, but the routine consists of a button with the following macro:
starting a new job at work so setting up the job folder etc. grabbed the title block and the text attribute insert from the library.....
so here is when the issue started.....so title block and text attribute are both saved in model space, both have all the same settings, this also applies to the template we have here all match.
so i xref in my title page at 1:1 which comes in normal, then i insert my attribute block in at 1:1 but it comes in at some super size thing, normal 3.5 text size is now 1000......
have fiddled with everything gone back to the library set etc but got no idea.
the interesting bit is if i open the title block and insert the attribute block in, it comes in perfect......
so in saying that i am assuming it is the work template..... but none of this has changed for over a month and have created drawings since then........maybe a random setting somewhere has changed but again haven't done anything different to normal no new radical changes....
i have attached a copy of the title block and the text attribute.
when I insert a block with attributes I get the prompts on the commandline to fill in the attributes. Can I stop this from happeneing, and just insert the block?
Alternatively, can I get the Attribute Editor dialogue box to come up instead?
Sidenote: How hard is it for people to learn that blocks need to be INSERTED not copied - if you copy the blasted thing the attributes are messed up, why is that so HARD?
Drawing 1 : Contains tree blocks that have a specific scale dependant on the tree size
Drawing 2 : Contains a block with just a point and attribute data about the tree (name, size etc.)
This block is approximatly at the same location as the tree block (0,1 m precision)
Problem I want to join these two items together. In other words, in the tree block that is scaled correctly i want the attribute data with the name, size etc. These blocks don't have a corresponding unique number or something like that.
Is there a way i can insert a title block through the design center by selecting the the layout and dragging it in. When i bring it in it gives me just the blank paper without the title block.
I am inserting a block that has one attribute with tag "FAB_HEIGHT". I have not been successful in editing this attribute.
Public Sub InsertSection() 'Call the Function that returns strSectionBlk (the Head Section drawing) getSectionDwg(strModel, strHeadType) 'Start the database Dim db As Database db = HostApplicationServices.WorkingDatabase() [Code] .....
select all blocks on certain layers in a drawing, check attribute CIRCUIT in each block if it starts with MS then attribute CONTROL = switched. I hope thats clear enough the way
(defun c:control() (graphscr) (Setq sc (ssget "X" '((0 . "INSERT")
I have a several drawings from an outside source. There are blocks in the drawing which I can not remove the attributes. I have tried exploding, erasing, and redefining block. This doesn't seem to remove all the attributes. That is I erase all the attritube that I can see while editing in place. When I save new defintion I have it replace existing block.One attribute remains.
I have tried to use Battman and resync. It allows me to remove all the attributes except one.Point is, I would like to keep the current blocks cleaned up in the drawing without having to go to each and put a new block and remove the old. Not sure of the origin of these blocks.I believe they came from an AutoDesk AEC source and may have been XREF into drawing.
Is there a way to create an attribute or MTEXT in a block where part of it is User defined and the other part is constant?
e.g.
"AUTOCAD = 12345 LAYERS"
Where "AUTOCAD =" and "LAYERS" are constant
and
"12345" is the user defined part.
The reason why I would like this is because i want to be able to Middle Center Justify the text and if i were to create 3 separate texts then it wouldn't be good (2 texts and 1 attdef)
I must be using the Enhanced attribute editor the wrong way. Every time I double click the attribute block the enhanced attribute editor opens the dialog box and I have to resize it so a can see all my tags. Then I have to click the tag I want to change then click the value to change it. To change a different tag I have to repeat that process over and over. It makes attributes a complete waste of time. It’s faster to change Mtext or Dtext. I must be doing something wrong. Is there a way to get the dialog box in the image to pop up when I double click the attribute block?
I'm trying to create a dynamic block that uses a parameter and an attribute definition to determine the diameter of a circle in that block. I plan to export GIS points with diameter in the attribute table into a CAD file with the block definition. I'm having trouble figuring out how to set up the parameters to read to attribute definition and adjust the circle diameter. Using AutoCAD 2013
What I really want to do is on our fire alarm blocks we have 3 different attributes one for the address, the candela and one for misc info. I want to make an attribute that takes the number from the candela (15,30,75or 110) and change a different attribute to a value depending on which candela we use (such as 15=.078, 30=.113, 75=.195 or 110=.259). But I don't want the .078,.113,.195,.259 to print out on paper, I want to export block information excel file so I can add up all values.
We're using C3D 2013 SP2. The survey company we use uses point styles to show the blocks. Say they shoot a catchbasin. Instead of inserting the block, the point shows up as the block.
I did a field check & needed to insert a missed CB. When I inserted the block, the other points that were CBs disappeared. I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in. It did this on other drawings & other blocks.
I have created d/blocks for my different pipe sizes i.e one block with a dropdown to select the different sizes and have done the same for my flanges. now how do I link / insert the flange d/block to the piping block so that I can export the information into a material list later on.
I can insert a block with block attributes using the Inter op very easily:
Dim theBlock AsAcadBlockReference Dim pickScreenVBA = myDoc.Utility.GetPoint(, "insert the hydrant") theBlock = myDoc.ModelSpace.InsertBlock(pickScreenVBA, "Hydrant", 1.0#, 1.0#, 1.0#, 0) Dim varAttributes AsObject varAttributes = theBlock.GetAttributes varAttributes(0).TextString ="3 Ports" varAttributes(1).TextString ="Salt water"
Works great, but when I try using the non-inter op, all the example insert new Attributes and not add block with existing attribute (so I end up with duplicate attributes for each block - i.e "Salt water" attribute is added to the block each time I run the code),
Are they any examples that does the same as above using the non-interop code?
I have several blocks saved as separate .DWGs, some of which are dynamic. I want to review and test these blocks, but I can't find a way to open the existing block definitions in the Block Editor without first inserting the blocks into a drawing.
I created an attribute of a title block, our company logo is inserted as a raster image within the attribute, I created this dwg file into a dwt file (template) however every time I open a new drawing and insert in the template file in the paperspace tab the attribute comes in but always with the logo?
The frame of the logo shows up with the file path of where is is located.
How to connect to MySQL database and insert data from a set of blocks containing attributes?
Something like:
block 1:
- x coordinate; - y coordinate; - handle;
block 2:
- x coordinate; - y coordinate; - handle;
block 3:
- x coordinate; - y coordinate; - handle;
I've just got the second part (retrieving info from the blocks), but when it comes to connect to the DB I'm completely lost.
For the DB I'm using XAMP for Windows, thus using localhost, user ('user123'), pass ('pass123') and table ('table123'). The table has ID (PriKey and AutoInc), px, py and hdl fields.
I have an existing title block a few text attributes, to which I wish to add a watermark. I have added it in the block editor as a normal attribute, with the same details as the other attributes that work, only a different tag name. It has a default value, "DRAFT" and is tagged "WMARK". It works fine in the Block Editor, and If I test the block I can edit it to display whatever I want, but if I save the block and open it from Autocad proper, the attribute is not in existence, either as a default value, or editable from block properties, attribute editor or title block editor, whereas all of the other attributes are there. I have used BattMan to verify the settings of the attribute, and the only difference is that the others all have "L" in the "Modes" column, but I think that means that their position is "locked" whereas my new attribute is justified "aligned" therefore cannot be "locked" (This is some assumption on my part, as the documentation on the "Modes" column is almost non-existent). I cannot afford to waste much more time on this issue, as the boss is breathing down my neck, but editing watermarks on every drawing after every revision is frustrating, when it could be an attribute that is editable from the title block editor.
I need to match few attribute values from one block to different block. I download a lisp file called; ca.lsp which can match the single attribute value. I modified it for more than one attribute value matching. It is ok but still wish to overcome two issues for batch prcess
1. picking up the blocks by selection
2. click the alternative block numbers of times to match the numbers of attribute values I needed.
How to modify this lisp I can run it by block name selections instead of picking selection which enable me to run batch process for numbers of drawing? That will be good...
Lisp & Demo file attached (Match attribute value, A, B & C to Attribute 1, 2 & 3).
Is there a way that I can create a block with text ('A') and when I insert the block and populate the block another block block will update also? I am wanting to create a block for x-sec flags, and detail callouts that update their detail titles.
In the blockeditor I can change the draworder so the attribute is partly under some lines. But the draworder in the blockeditor of the attribute doesn't work in the normal modelspace; the blockattribute is allways on top.
I am trying to insert a block from another drawing, the only way I have been to acheive this has been to open the drawing
Set ObjDocument = ThisDrawing.Application.Documents.Open("D:ACADBlocksGENERAL.dwg") For Each ObjBlock In ObjDocument.Blocks If InStr(ObjBlock.Name, "LOGO") <> 0 Then CopyObjects End If Next
ObjDocument.Close
I would prefer not to open the drawing to access the block, is this possible in VBA.